Skip to main content
GET
/
v1
/
shipping_fees
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/shipping_fees/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "86df78d0-ef99-4442-97a0-043494367541",
  "object": "shipping_fee",
  "amount": 0,
  "description": "StellarPromotion134080",
  "fee_type": "manual",
  "checkout": "275cf26d-4b9e-40cb-835b-c2fd7c606fbf",
  "created_at": 1778010930,
  "updated_at": 1778010930
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

amount
integer

The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.

description
string

A short description of the shipping fee.

fee_type
string

The type of shipping_fee – one of auto or manual.

checkout

Expandable – The associated checkout ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.